export const applySuccessData: any[] = [
  {
    name: '年度财务报告',
    cataloging: '财务部/2024/12',
    workGroup: '财务管理部',
    publisher: '张伟',
    publishTime: '2024-12-01',
    permission: '下载',
  },
  {
    name: '市场分析报告',
    cataloging: '市场部/2024/11',
    workGroup: '市场营销部',
    publisher: '李娜',
    publishTime: '2024-11-30',
    permission: '下载',
  },
  {
    name: '人力资源规划',
    cataloging: '人事部/2024/10',
    workGroup: '人力资源部',
    publisher: '王芳',
    publishTime: '2024-10-15',
    permission: '下载',
  },
];
export const applyData: any[] = [
  {
    name: '产品开发进度',
    cataloging: '研发部/2024/09',
    workGroup: '产品研发部',
    publisher: '赵强',
    publishTime: '2024-09-28',
    permission: '下载',
  },
];
export const applyFailedData: any[] = [
  {
    name: 'IT系统维护日志',
    cataloging: '技术部/2024/08',
    workGroup: '信息技术部',
    publisher: '孙丽',
    publishTime: '2024-08-20',
    permission: '下载',
  },
];
export const BasicInfoData = {
  creator: 'admin',
  createDate: '2024-11-29 13:41:11',
  updateFrequency: '每月',
  securityClassification: 'DATASET.SHARED.SECURITY_LEVEL_通用/G4',
  sourceDataTable: 'kundbnew/foresight_foresight1/fs_assets',
  sourceTableSize: '4 rows',
  releaseStatus: '已发布',
  releaser: 'admin',
  releaseDate: '2024-11-29 13:41:11',
  describe: '公司人力资源信息表',
};
export const permissionsData = {
  permissions: '上线，共享，下载',
};
export const ManagePropertyData = {
  resourceCataloging: 'test1',
  ownerInstitution: '机构管理/系统管理',
  label: '-',
};
export const fileData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 300,
    username: 'file1',
    nickName: '测试文件流1',
    name: '测试文件流1',
    fileSize: 1024,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 301,
    username: 'file2',
    nickName: '测试文件流2',
    name: '测试文件流2',
    fileSize: 1024,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 302,
    username: 'file3',
    nickName: '测试文件流3',
    name: '测试文件流3',
    fileSize: 1024,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 303,
    username: 'file4',
    nickName: '测试文件流4',
    name: '测试文件流4',
    fileSize: 1024,
    holder: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    menuList: [],
  },
];
export const infoData: any[] = [
  {
    tableName: 'st',
    columnsName: 'user_id',
    CNname: '用户ID',
    type: 'INT',
    length: 11,
    precision: null,
    isNull: 'NO',
    remark: '用户的唯一标识符',
    primaryKey: 'YES',
    foreignKey: 'NO',
    dataType: '整数型',
    safeLevel: '高',
    sensitiveStatus: '敏感',
    isFixation: 'true',
  },
  {
    tableName: 'st',
    columnsName: 'username',
    CNname: '用户名',
    type: 'VARCHAR',
    length: 50,
    precision: null,
    isNull: 'NO',
    remark: '用户的登录名称',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '字符串型',
    safeLevel: '中',
    sensitiveStatus: '非敏感',
    isFixation: 'true',
  },
  {
    tableName: 'st',
    columnsName: 'password',
    CNname: '密码',
    type: 'VARCHAR',
    length: 100,
    precision: null,
    isNull: 'NO',
    remark: '用户登录密码（加密存储）',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '字符串型',
    safeLevel: '极高',
    sensitiveStatus: '非常敏感',
    isFixation: 'true',
  },
  {
    tableName: 'st',
    columnsName: 'email',
    CNname: '邮箱地址',
    type: 'VARCHAR',
    length: 100,
    precision: null,
    isNull: 'YES',
    remark: '用户注册邮箱地址',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '字符串型',
    safeLevel: '中',
    sensitiveStatus: '敏感',
    isFixation: 'true',
  },
  {
    tableName: 'st',
    columnsName: 'created_at',
    CNname: '创建时间',
    type: 'DATETIME',
    length: null,
    precision: null,
    isNull: 'NO',
    remark: '账户创建的时间戳',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '日期时间型',
    safeLevel: '低',
    sensitiveStatus: '非敏感',
    isFixation: 'false',
  },
  {
    tableName: 'st',
    columnsName: 'updated_at',
    CNname: '最后更新时间',
    type: 'DATETIME',
    length: null,
    precision: null,
    isNull: 'YES',
    remark: '账户信息最后更新的时间戳',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '日期时间型',
    safeLevel: '低',
    sensitiveStatus: '非敏感',
    isFixation: 'true',
  },
  {
    tableName: 'st',
    columnsName: 'is_active',
    CNname: '账户状态',
    type: 'TINYINT',
    length: 1,
    precision: null,
    isNull: 'NO',
    remark: '账户是否处于激活状态（0-未激活，1-已激活）',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '布尔型',
    safeLevel: '中',
    sensitiveStatus: '非敏感',
    isFixation: 'true',
  },
  {
    tableName: 'st',
    columnsName: 'is_deleted',
    CNname: '删除标记',
    type: 'TINYINT',
    length: 1,
    precision: null,
    isNull: 'NO',
    remark: '账户是否被标记为删除（0-未删除，1-已删除）',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '布尔型',
    safeLevel: '中',
    sensitiveStatus: '非敏感',
    isFixation: 'true',
  },
];
export const samplingInfoData: any[] = [
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
  {
    id: '1',
    uuid: '1',
    assetsName: 'TEST1',
    directoryUuid: '-',
    businessCode: '03000001',
    category: 'ASSET',
    source: 'CATELOG',
    assetsType: 'DATASET',
    assetsStatus: '9',
  },
];
export const associationRulesData: any[] = [
  {
    applicant: 'admin',
    appInstitution: '机构1',
    applicationTime: '2024-11-29 13:53:58',
    applicationType: '下载',
    titleApplication: '人力资源信息',
    status: '审核中',
  },
  {
    applicant: 'admin',
    appInstitution: '机构1',
    applicationTime: '2024-11-19 13:53:58',
    applicationType: '推送',
    titleApplication: '人力资源信息',
    status: '已驳回',
  },
  {
    applicant: 'admin',
    appInstitution: '机构1',
    applicationTime: '2024-11-22 13:53:58',
    applicationType: '下载',
    titleApplication: '人力资源信息',
    status: '审核中',
  },
  {
    applicant: 'admin',
    appInstitution: '机构1',
    applicationTime: '2024-11-27 13:53:58',
    applicationType: '下载',
    titleApplication: '人力资源信息',
    status: '已通过',
  },
];
export const associationRulesInfoData: any[] = [
  {
    name: 'admin',
    appInstitution: '机构1',
    target: 'https://127.0.01',
    applicationTime: '2024-11-29 13:53:58',
    applicationType: '下载',
    invalidReason: '-',
    titleApplication: '人力资源信息',
    status: '审核中',
  },
  {
    name: 'admin',
    appInstitution: '机构1',
    target: 'https://127.0.01',
    applicationTime: '2024-11-19 13:53:58',
    applicationType: '推送',
    invalidReason: '-',
    titleApplication: '人力资源信息',
    status: '已驳回',
  },
  {
    name: 'admin',
    target: 'https://127.0.01',
    appInstitution: '机构1',
    invalidReason: '-',
    applicationTime: '2024-11-22 13:53:58',
    applicationType: '下载',
    titleApplication: '人力资源信息',
    status: '审核中',
  },
  {
    name: 'admin',
    appInstitution: '机构1',
    target: 'https://127.0.01',
    invalidReason: '-',
    applicationTime: '2024-11-27 13:53:58',
    applicationType: '下载',
    titleApplication: '人力资源信息',
    status: '已通过',
  },
];
export const reviewData: any[] = [
  {
    operator: 'admin',
    mechanism: '-',
    infoTime: '2024-11-29 13:41:11',
    operationType: '下载',
    target: 'https://127.0.0.1',
    status: '成功',
  },
  {
    operator: 'admin',
    mechanism: '-',
    infoTime: '2024-11-29 13:41:11',
    operationType: '推送',
    target: 'https://127.0.0.2',
    status: '成功',
  },
  {
    operator: 'admin',
    mechanism: '-',
    infoTime: '2024-11-29 13:41:11',
    operationType: '共享到智能平台',
    target: 'https://127.0.0.3',
    status: '成功',
  },
  {
    operator: 'admin',
    mechanism: '-',
    infoTime: '2024-11-29 13:41:11',
    operationType: 'API调用',
    target: 'https://127.0.0.4',
    status: '成功',
  },
];
export const pushTypeData: any[] = [
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
  {
    target: 'admin-个人工作区/inceptor/db-001/table1',
    pushType: '增量',
  },
];
export const dataRangeData = {
  custom: 'id>200',
  institutions: '本单位',
  time: '2024-10-28 16:35:22-2024-10-31 12:12:12',
};
export const rangeData: any[] = [
  {
    time: '2024-12-03 09:00',
    executeTime: '2024-12-03 09:05',
    duration: '158ms',
    mode: '系统调度',
    status: '成功',
  },
  {
    time: '2024-12-03 09:00',
    executeTime: '2024-12-03 09:05',
    duration: '158ms',
    mode: '系统调度',
    status: '成功',
  },
  {
    time: '2024-12-03 09:00',
    executeTime: '2024-12-03 09:05',
    duration: '158ms',
    mode: '系统调度',
    status: '成功',
  },
  {
    time: '2024-12-03 09:00',
    executeTime: '2024-12-03 09:05',
    duration: '158ms',
    mode: '系统调度',
    status: '成功',
  },
  {
    time: '2024-12-03 09:00',
    executeTime: '2024-12-03 09:05',
    duration: '158ms',
    mode: '系统调度',
    status: '成功',
  },
];
export const downloadData: any[] = [
  {
    name: '申请下载：2020下半年新能源汽车销售',
    dataRange: '自定义条件：id>200\n机构：本单位\n时间：2022-10-28 16:35:22 - 2022-10-31 12:12:00',
    time: '2022-10-31 12:12:00',
  },
  {
    name: '申请下载：2020下半年新能源汽车销售',
    dataRange: '自定义条件：id>200\n机构：本单位',
    time: '2022-10-31 12:12:00',
  },
  {
    name: '申请下载：2020下半年新能源汽车销售',
    dataRange: '机构：本单位',
    time: '2022-10-31 12:12:00',
  },
  {
    name: '申请下载：2020下半年新能源汽车销售',
    dataRange: '时间：2022-10-28 16:35:22 - 2022-10-31 12:12:00',
    time: '2022-10-31 12:12:00',
  },
];
